    import ArrayShadow from 'f.lux/src/ArrayShadow.js'

public class | source

# ArrayShadow

#### Extends:

Shadow → IndexedShadow → ArrayShadow

Default shadow api for the `ArratProperty`. Exposes the Array interface.

#### See:

- ArratProperty

## Method Summary

Public Methods
public | clear() |
public | pop(): * |
public | push(values: ...*): * |
public | remove(idx: *): * |
public | removeValue(value: *) |
public | shift(): * |
public | splice(start: *, deleteCount: *, newItems: ...*): * |
public | unshift(values: ...*): * |

## Inherited Summary

From class Shadow
public | [_impl]: * |
public | $(): Access Gets the Access object for obtaining information about a property. |
public | $$(): Property Gets the Property managing this shadow state property. |
public | toJSON(): Object | Array Gets the actual state property being proxied by this shadow state property. |
public | toString(): * |

From class IndexedShadow
public get | length: * |
public | [_cache]: {} |
public | [Symbol.iterator](): * |
public | all(): * |
public | concat(values: ...*): * |
public | every(pred: *, context: *): boolean |
public | filter(callback: *, context: *): * |
public | find(pred: *, context: *): * |
public | findIndex(pred: *, context: *): * |
public | forEach(callback: *, context: *) |
public | groupBy(callback: *, context: *): * |
public | includes(searchElement: *, fromIndex: number): * |
public | indexOf(value: *, fromIndex: number): * |
public | join(separator: string): * |
public | lastIndexOf(value: *, fromIndex: *): * |
public | map(callback: *, context: *): * |
public | reduce(callback: *, acc: *, context: *): * |
public | some(pred: *, context: *): boolean |
public | sort(callback: *): * |
public | sortBy(iteratee: ...*): * |
public | values(): {"next": *} |
public | valuesArray(): * |

## Public Methods

### public clear() source

### public pop(): * source

#### Return:

*

### public push(values: ...*): * source

#### Params:

Name | Type | Attribute | Description
values | ...* |  |

#### Return:

*

### public remove(idx: *): * source

#### Params:

Name | Type | Attribute | Description
idx | * |  |

#### Return:

*

### public removeValue(value: *) source

#### Params:

Name | Type | Attribute | Description
value | * |  |

### public shift(): * source

#### Return:

*

### public splice(start: *, deleteCount: *, newItems: ...*): * source

#### Params:

Name | Type | Attribute | Description
start | * |  |
deleteCount | * |  |
newItems | ...* |  |

#### Return:

*

### public unshift(values: ...*): * source

#### Params:

Name | Type | Attribute | Description
values | ...* |  |

#### Return:

*